OpenTTD Source: StandardGRFFileProps Struct Reference

OpenTTD Source 15.3

Public Member Functions
StandardGRFFileProps Struct Reference

Container for standard sprite groups. More...

`#include <newgrf_commons.h>`

Inheritance diagram for StandardGRFFileProps:

## Public Member Functions
bool | HasSpriteGroups () const
| Check whether the entity has sprite groups.
const struct SpriteGroup * | GetSpriteGroup (bool entity_exists) const
| Get the standard sprite group.
Public Member Functions inherited from FixedGRFFileProps< StandardSpriteGroup, static_cast< size_t >(StandardSpriteGroup::End)>
const struct SpriteGroup * | GetSpriteGroup (StandardSpriteGroup index) const
| Get the SpriteGroup at the specified index.
const struct SpriteGroup * | GetFirstSpriteGroupOf (std::initializer_list< StandardSpriteGroup > indices) const
| Get the first existing SpriteGroup from a list of options.
void | SetSpriteGroup (StandardSpriteGroup index, const struct SpriteGroup *spritegroup)
| Set the SpriteGroup at the specified index.
Public Member Functions inherited from GRFFilePropsBase
void | SetGRFFile (const struct GRFFile *grffile)
| Set the NewGRF file, and its grfid, associated with grf props.
bool | HasGrfFile () const
| Test if this entity was introduced by NewGRF.

## Additional Inherited Members
Data Fields inherited from FixedGRFFileProps< StandardSpriteGroup, static_cast< size_t >(StandardSpriteGroup::End)>
std::array< const struct SpriteGroup *, Tcount > | spritegroups
| pointers to the different sprite groups of the entity
Data Fields inherited from GRFFilePropsBase
uint16_t | local_id = 0
| id defined by the grf file for this entity
uint32_t | grfid = 0
| grfid that introduced this entity.
const struct GRFFile * | grffile = nullptr
| grf file that introduced this entity

## Detailed Description

Container for standard sprite groups.

Definition at line 379 of file newgrf_commons.h.

## Member Function Documentation

## ◆ GetSpriteGroup()

const struct SpriteGroup * StandardGRFFileProps::GetSpriteGroup | ( | bool | entity_exists | ) | const
| inline

Get the standard sprite group.

Parameters

  entity_exists | Whether the entity exists (true), or is being constructed or shown in the GUI (false).

Definition at line 394 of file newgrf_commons.h.

References Default, GetSpriteGroup(), and Purchase.

Referenced by AirportResolverObject::AirportResolverObject(), AirportTileResolverObject::AirportTileResolverObject(), GetSpriteGroup(), HasSpriteGroups(), HouseResolverObject::HouseResolverObject(), IndustriesResolverObject::IndustriesResolverObject(), IndustryTileResolverObject::IndustryTileResolverObject(), and ObjectResolverObject::ObjectResolverObject().

## ◆ HasSpriteGroups()

bool StandardGRFFileProps::HasSpriteGroups | ( |  | ) | const
| inline

Check whether the entity has sprite groups.

Definition at line 385 of file newgrf_commons.h.

References Default, and GetSpriteGroup().

Referenced by DoTriggerIndustryTileRandomisation(), DrawHouseInGUI(), GetAirportTileIDAtOffset(), and GetIndustryIDAtOffset().

The documentation for this struct was generated from the following file:

- src/newgrf_commons.h